package capitulo03.bloque03;

import static capitulo03.utils.Utils.solicitarIntScanner;

public class Ejercicio4 {
    public static void main(String[] args) {
        int num = -1, cuentaPositivos = 0, cuentaNegativos = 0;

        for (int i = 0; num != 0; i++) {
            num = solicitarIntScanner("Introduzca el siguiente número: (Si pone 0, terminará el programa)");
            if (num != 0) {
                if (num > 0) cuentaPositivos++;
                if (num < 0) cuentaNegativos++;
            }
        }
        System.out.println("La cantidad de números positivos es: " + cuentaPositivos);
        System.out.println("La cantidad de números negativos es: " + cuentaNegativos);
    }
}

